import { stringify } from 'qs';
import {request} from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/get?${stringify(params)}`);
}


export async function insertForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForB01TUnitBaseInfo(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01tunitbaseinfo/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}

export async function queryPageForB01ProUserAuth(params = {}) {
    return request(`/${webpath.gabwebpath}/web/api/service/b01prouserauth/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}
